Verify Bank Account (Advance)
curl --request POST \
--url https://bgv.konnectnxt.com/api/verification/bank-verification-advance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "380234932948989",
"ifsc": "SBIN0001234",
"name": "John Doe",
"is_penny_drop": false
}
'import requests
url = "https://bgv.konnectnxt.com/api/verification/bank-verification-advance"
payload = {
"account_number": "380234932948989",
"ifsc": "SBIN0001234",
"name": "John Doe",
"is_penny_drop": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '380234932948989',
ifsc: 'SBIN0001234',
name: 'John Doe',
is_penny_drop: false
})
};
fetch('https://bgv.konnectnxt.com/api/verification/bank-verification-advance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Data Fetched Successfully.",
"data": {
"case_id": "12345",
"beneficiary_name": "JOHN DOE",
"verification_status": "VERIFIED",
"name_match_score": "100.00",
"ifscDetails": {
"ifsc": "ABCD0123456",
"name": "Example Bank",
"branch": "MAIN BRANCH",
"center": "MAIN CENTER",
"district": "CENTRAL DISTRICT",
"state": "STATE NAME",
"address": "123 Example Street, Area, City, 123456",
"contact": "+911234567890",
"imps": true,
"rtgs": true,
"city": "EXAMPLE CITY",
"iso3166": "IN-XX",
"neft": true,
"micr": "123456789",
"upi": true,
"swift": ""
}
},
"credits_used": 1,
"credits_remaining": 9999
}Bank Account
Bank Account (Advance)
Verifies a bank account using account number and date of birth.
POST
/
verification
/
bank-verification-advance
Verify Bank Account (Advance)
This API verifies the details of a bank account associated with an individual. It requires the following input parameters:
- Account Number: The bank account number to be verified.
- IFSC: The Indian Financial System Code of the bank branch.
Optional Feature
- Name Match Verification: Optionally, the API can perform a name match verification.
- Penny Drop: Optionally, the API can perform a penny drop to the account to be verified.
400 Response Messages
Account Number Errors
account_numberis required.account_numbermust be a string.account_numbermust be at least 9 character long.- Account number must contain only numeric characters.
IFSC Errors
ifscis required.ifscmust be a string.ifscmust be exactly 11 characters long.- Invalid IFSC format. Example: ‘SBIN0001234’.
Name Errors
namemust be a string.nameis invalid.- Name must not contain special characters or numbers.
Payload Errors
- Payload is missing.
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
- Account Number must be in the format XXXXXXXXXXXXXXX
- It should not contain all identical digits in the numeric part.
- Min Length: 9
Minimum string length:
9Example:
"380234932948989"
- IFSC code must be exactly 11 characters long.
- It should follow the format: 4 letters, followed by 0, followed by 6 alphanumeric characters.
Required string length:
11Example:
"SBIN0001234"
Optional. Must not contain special characters or numbers.
Pattern:
^[a-zA-Z\s]*$Example:
"John Doe"
Optional. If true, then penny will be dropped to the account to be verified.
Example:
false
Response
Successful response with bank account details.
Overall status of the API
Available options:
success, error HTTP status code
Example:
400
Description of the response or error
Example:
"Invalid request parameters"
Show child attributes
Show child attributes
Represents the total number of credits used in this request.
Example:
3
Represents the remaining credits available for use.
Example:
4040
Was this page helpful?

